body {
  background-image: var(--bgimg);
}

a:link {
  color: var(--link);
  background-color: transparent;
  text-decoration: none;
}
a:visited {
  color: var(--link);
  background-color: transparent;
  text-decoration: none;
}
a:hover {
  color: var(--linkhover);
  background-color: transparent;
  text-decoration: underline;
  font-style: italic;
}

html {
  text-align: center;
  color: var(--color);
  font-family: verdana;
  font-size: 80%;
}

#copyright {
  font-family:verdana;
  font-size: 60%;
  position: fixed;
  bottom: 10px;
  left: 10px;
  z-index: 5;
}

table {
  margin-right: auto; 
  margin-left: auto;
  max-height: 1000px;
}

::-webkit-scrollbar {
  width: 12px;
  height: 12px;
  background: var(--scroll);
}
 
::-webkit-scrollbar-track {
  width: 0;  
  background: var(--scrolltrack);
  border: 1px solid var(--scrolltrackbd);
  border-radius: 8px;
}
::-webkit-scrollbar-thumb {
  border-radius: 8px;
  background: var(--scrollthumb);
  border: 1px solid var(--scrollthumbbd);
}
::-webkit-scrollbar-thumb:hover {
  background: var(--scrollhover);  
  border-radius: 8px;
}

/* Navigation */
ul {
  list-style-type: none;
  border: 1px dashed var(--navulbd);
  border-radius: 8px;
  margin: auto;
  padding: 0;
  overflow: hidden;
  background-color: var(--navul);
  width: 95%;
}

li {
  align-content: center;
  display: inline-block;
  border-right: 1px dotted var(--navlibd);
}

li:first-child {
  border-left: 1px dotted var(--navlibd);
}

li a, .dropbtn {
  display: inline-block;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

li a:hover, .dropdown:hover .dropbtn {
  background-color: var(--navlihover);
}

li.dropdown {
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: var(--navul);
  border-top: none;
  border-left: 1px solid var(--navlibd);
  border-right: 1px solid var(--navlibd);
  border-bottom: 1px solid var(--navlibd);
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
  
  min-width: 110px;
  z-index: 10;
}

.dropdown-content a {
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
  border-top: 1px dotted var(--navlibd);
}

.dropdown-content a:hover {
  background-color: var(--navlihover);
  text-decoration: underline;
}

.dropdown:hover .dropdown-content {
  display: block;
}

/* Drop button hover radius. Only applies to the last option so the bottom isn't going outside the border. */
.dbtnh {
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

/* big stuff*/
.acontainer {
  text-align: center;
  overflow: auto;
  min-width: 50%;
  max-width: 800px;
  max-height: 600px;
  border: 1px dotted var(--border1);
  border-right: none;
  border-radius: 8px;
  margin: 10px;
}

@media (min-width: 1000px) {
.acontainer {
  max-height: 810px;
}
.bcontainer {
  max-height: 550px;
}
}

.acontent {
  background-color: var(--header);
  background-image: var(--bgimg2);
  border-radius: 8px;
  padding: 0 15px 15px 15px;
}

.bcontainer {
  text-align: center;
  overflow: auto;
  min-width: 50%;
  max-width: 800px;
  max-height: 350px;
  border: 1px dotted var(--border1);
  border-right: none;
  border-radius: 8px;
  margin: 10px;
}

.bcontent {
  background-color: var(--bigheader);
  background-image: var(--bgimg2);
  border-radius: 8px;
  padding: 0 15px 15px 15px;
}

.rcontainer {
  text-align: center;
  overflow: auto;
  width: 170px;
  margin: 5px;
  display: inline-block;
}

.rcontent {
  background-color: var(--opacitybg1);
  border: 1px dotted var(--border1);
  border-radius: 8px;
  padding: 10px;
  max-height: 100px;
  overflow: auto;
  text-align:left;
}

.sidecontainer{
  align-items: center;
  position: relative;
  padding: 8px;
  min-width: 50%;
  width: 250px;
}

.sidecontent {
  background-image: var(--bgimg2);
  border: 1px solid var(--border1);
  border-radius: 8px;
  padding: 15px;
  text-align: center;
  overflow: auto;
}

.headerbig {
  padding: 10px;
  margin: auto;
  margin-left: -15px;
  margin-right: -15px;
  background-color: var(--header);
  color: var(--border2);
  border-radius: 6px;
  border: 2px solid var(--border2);
}

.headera {
  padding: 10px;
  margin: auto;
  background-color: var(--header);
  color: var(--border2);
  border-radius: 6px;
  border: 2px solid var(--border2);
}

.headerb {
  padding: 10px;
  margin: auto;
  background-color: var(--header);
  color: var(--border2);
  border-radius: 6px;
  border: 2px solid var(--border2);
  max-width: 170px;
  text-align: center;
}

.mainhr {
  border-top: 0;
  border-right: 0;
  border-left: 0;
  clear: both;
  border-color: var(--border1); 
  border-width: 1px 0 0 0;
  border-style: solid;
  border: 1px dashed var(--border1);
  width: 300px;
  float: left;
}

/* specifics */
.sidestyle1 {
  background-image: var(--box1);
  border: 2px dashed var(--sidebd);
  border-radius: 0;
}

.sidestyle2 {
  background-image: var(--box6);
  border: 2px dashed var(--sidebd);
  border-radius: 0;
}

.sideheader1 {
  z-index: 5;
  position: absolute;
  top: 0;
  left: 20px;
  min-width: 200px;
  height: 15px;
  text-align: center;
}

#sideheader2 {
  background-color: var(--box6h);
  position: absolute;
  top: 0;
  min-width: 100px;
  border: 1px dashed var(--sidebd2);
  height: 20px;
  text-align: center;
}

#sparkle {
  z-index: 6;
  position: absolute;
  top: -20px;
  left: -15px;
  width: 65px;
  height: 75px;
  
  background-image: var(--sparkle);
  background-repeat: no-repeat;
  background-position: 15px center;
}

#icon {
  width: 150px;
  border: 2px dotted var(--border1);
  border-radius: 8px;
}

#inventory {
  border: 2px dotted var(--border1);
  border-radius: 8px;
  max-height: 200px;
  max-width: 200px;
}

/* other */
.grid1 {
  display: grid;
  grid-template-columns: 40% 60%;
  padding: 5px;
  gap: 5px;  
}
.grid1 div {
  padding: 10px;
  text-align: left;
  background: var(--opacitybg1);
  width: 90%;
  border: 1px dashed var(--border1);
  border-radius: 8px;
  margin:auto;
}

p {
  padding: 10px;
  text-align: center;
  background: var(--opacitybg1);
  width: 90%;
  border: 1px dashed var(--border1);
  border-radius: 8px;
  margin: 10px auto;
}

h1 {
  text-align: left;
  font-style: italic;
  font-size: 15px;
  padding: 5px;
  width: 110px;
  display: inline-block;
  margin: 5px;
  background-color: var(--opacitybg2);
}

h4 {
  text-align: left;
  font-style: italic;
  font-size: 15px;
  padding: 5px;
  margin: 0;
}

.rimg {
  min-width: 120px;
  max-width: 150px;
  border:1px dashed var(--border1);
  border-radius: 8px;
  max-height: 150px;
}

#dividerimg {
  margin: 15px 0 0 0;
  border-radius: 8px;
  border: 1px dotted var(--border1)
}

/* theme switch */
#swaptheme {
  padding: 14px 16px;
  background-color: inherit;
  border: none;
}

#swaptheme:hover {
  background-color: var(--navlihover);
  color: var(--linkhover);
  cursor: pointer;
  font-style: italic;
  text-decoration: underline;
}

.ccontainer {
  text-align: center;
  overflow: auto;
  min-width: 700px;
  max-width: 1000px;
  border: 1px dotted var(--color);
  border-radius: 8px;
  margin: 10px;
}

.ccontent {
  background-color: var(--nfbg);
  background-image: var(--bgimg2);
  border-radius: 8px;
  padding: 0 15px 15px 15px;
}

.headerbig {
  padding: 10px;
  margin: auto;
  margin-left: -15px;
  margin-right: -15px;
  background-color: var(--header);
  color: var(--border2);
  border-radius: 6px;
  border: 2px solid var(--border2);
}

.headera {
  padding: 10px;
  margin: auto;
  background-color: var(--header);
  color: var(--border2);
  border-radius: 6px;
  border: 2px solid var(--border2);
}

.pad {
  padding: 0 5px 5px 5px;
  display: inline-block;
}

.bimg {
  border: 2px dotted var(--color);
  width: 100px;
  border-radius: 8px;
  height: 100px;
}

.container {
  text-align: center;
  overflow: auto;
  min-width: 50%;
  max-width: 750px;
  margin-top: 10px;
}

.content {
  background-image: var(--content);
  border: 2px dashed var(--contentbd);
  border-radius: 8px;
  padding: 15px;
}

.divider {
  background-color: var(--divider);
  border: 1px solid var(--contentbd);
  padding: 5px 0;
  border-radius: 8px;
  width: 70%;
  text-align: center;  
  max-width: 1000px;
}

#about {
  background-image: none;
  background-color: var(--aboutbg);
  border:2px dashed var(--border1);
}

.tabcontainer{
  align-items: center;
  position: relative;
  padding: 8px;
}

.tabcontent {
  background-color: var(--bgcolor);
  background-image: var(--bgimg2);
  border: 1px solid var(--border1);
  border-radius: 8px;
  padding: 0 15px 15px 15px;
  text-align: center;
  overflow: auto;
  width: 300px;
  max-height: 370px;
}